<?php

include('../../path.php');

require_once(ROOT_CONFIG);



    class afianzadoras

    {

        public function insert_afianzadoras($Logo_Afianzadora, $Nombre_Afianzadora, $Razon_Social, $RFC, $Telefono, $Correo, $Pagina_Web, $Direccion, $Gastos_de_Expedicion, $Fianzas_Activas, $Numero_Fianzas_Emitidas, $Numero_Fianzas_Cobradas, $Numero_Fianzas_En_Proceso, $Numero_Fianzas_Canceladas, $Monto_Total_Emitido, $Monto_Total_Cobrado, $Monto_En_Riesgo, $Porcentaje_Cobranza, $Indice_Cumplimiento, $Score_Operativo, $Id_Fk_Score, $Nivel_Score, $Id_Fk_Status_Afianzadora, $Status_Afianzadora, $Documento_Contrato_PDF, $Documento_Politicas_PDF, $Observaciones, $Quien_Registro, $Fecha_Registro, $Fecha_Modificacion, $Quien_Modifico, $GPS)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="INSERT INTO afianzadoras(Logo_Afianzadora, Nombre_Afianzadora, Razon_Social, RFC, Telefono, Correo, Pagina_Web, Direccion, Gastos_de_Expedicion, Numero_Fianzas_Canceladas, Porcentaje_Cobranza, Indice_Cumplimiento, Score_Operativo, Id_Fk_Score, Nivel_Score, Id_Fk_Status_Afianzadora, Status_Afianzadora, Documento_Contrato_PDF, Documento_Politicas_PDF, Observaciones) VALUES ('$Logo_Afianzadora', '$Nombre_Afianzadora', '$Razon_Social', '$RFC', '$Telefono', '$Correo', '$Pagina_Web', '$Direccion', '$Gastos_de_Expedicion', '$Numero_Fianzas_Canceladas', '$Porcentaje_Cobranza', '$Indice_Cumplimiento', '$Score_Operativo', '$Id_Fk_Score', '$Nivel_Score', '$Id_Fk_Status_Afianzadora', '$Status_Afianzadora', '$Documento_Contrato_PDF', '$Documento_Politicas_PDF', '$Observaciones') ";

            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            $_Tabla='afianzadoras';

            $_Evento_Log='registrar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $whatsmyid;

        }



        public function get_afianzadoras($_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM afianzadoras WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Afianzadora DESC";

                $consulta="SELECT count(*) as numregis FROM afianzadoras WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM afianzadoras ORDER BY Id_Afianzadora DESC";

                $consulta="SELECT count(*) as numregis FROM afianzadoras";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_afianzadoraspg($inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM afianzadoras WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Afianzadora DESC";

            }else{

                $consulta="SELECT * FROM afianzadoras ORDER BY Id_Afianzadora DESC";

            }

            

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_afianzadoras($Id_Afianzadora, $Logo_Afianzadora, $Nombre_Afianzadora, $Razon_Social, $RFC, $Telefono, $Correo, $Pagina_Web, $Direccion, $Gastos_de_Expedicion, $Fianzas_Activas, $Numero_Fianzas_Emitidas, $Numero_Fianzas_Cobradas, $Numero_Fianzas_En_Proceso, $Numero_Fianzas_Canceladas, $Monto_Total_Emitido, $Monto_Total_Cobrado, $Monto_En_Riesgo, $Porcentaje_Cobranza, $Indice_Cumplimiento, $Score_Operativo, $Id_Fk_Score, $Nivel_Score, $Id_Fk_Status_Afianzadora, $Status_Afianzadora, $Documento_Contrato_PDF, $Documento_Politicas_PDF, $Observaciones, $Quien_Registro, $Fecha_Registro, $Fecha_Modificacion, $Quien_Modifico, $GPS)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE afianzadoras SET Id_Afianzadora='$Id_Afianzadora', Logo_Afianzadora='$Logo_Afianzadora', Nombre_Afianzadora='$Nombre_Afianzadora', Razon_Social='$Razon_Social', RFC='$RFC', Telefono='$Telefono', Correo='$Correo', Pagina_Web='$Pagina_Web', Direccion='$Direccion', Gastos_de_Expedicion='$Gastos_de_Expedicion', Numero_Fianzas_Canceladas='$Numero_Fianzas_Canceladas', Porcentaje_Cobranza='$Porcentaje_Cobranza', Indice_Cumplimiento='$Indice_Cumplimiento', Score_Operativo='$Score_Operativo', Id_Fk_Score='$Id_Fk_Score', Nivel_Score='$Nivel_Score', Id_Fk_Status_Afianzadora='$Id_Fk_Status_Afianzadora', Status_Afianzadora='$Status_Afianzadora', Documento_Contrato_PDF='$Documento_Contrato_PDF', Documento_Politicas_PDF='$Documento_Politicas_PDF', Observaciones='$Observaciones' WHERE Id_Afianzadora = '$Id_Afianzadora'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='afianzadoras';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        public function delete_afianzadoras($Id_Afianzadora)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="DELETE FROM afianzadoras WHERE Id_Afianzadora='$Id_Afianzadora'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='afianzadoras';

            $_Evento_Log='eliminar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        //Funciones adicionales.

        public function getorderby_afianzadoras($Nombre,$Orderby,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM afianzadoras WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM afianzadoras WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM afianzadoras ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM afianzadoras";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getorderby_afianzadoraspg($Nombre,$Orderby,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM afianzadoras WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

            }else{

                $consulta="SELECT * FROM afianzadoras ORDER BY $Nombre $Orderby";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getbyid_afianzadoras($Id_Afianzadora)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM afianzadoras WHERE Id_Afianzadora='$Id_Afianzadora'";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_afianzadoras_paginador_frm()

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM afianzadoras";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_afianzadoras($Buscar,$_Clausula_Fk,$_IdFk)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT *, count(*) as numregis FROM afianzadoras WHERE $_Clausula_Fk=$_IdFk AND (Id_Afianzadora LIKE '%$Buscar%' || Logo_Afianzadora LIKE '%$Buscar%' || Nombre_Afianzadora LIKE '%$Buscar%' || Razon_Social LIKE '%$Buscar%' || RFC LIKE '%$Buscar%' || Telefono LIKE '%$Buscar%' || Correo LIKE '%$Buscar%' || Pagina_Web LIKE '%$Buscar%' || Direccion LIKE '%$Buscar%' || Gastos_de_Expedicion LIKE '%$Buscar%' || Fianzas_Activas LIKE '%$Buscar%' || Numero_Fianzas_Emitidas LIKE '%$Buscar%' || Numero_Fianzas_Cobradas LIKE '%$Buscar%' || Numero_Fianzas_En_Proceso LIKE '%$Buscar%' || Numero_Fianzas_Canceladas LIKE '%$Buscar%' || Monto_Total_Emitido LIKE '%$Buscar%' || Monto_Total_Cobrado LIKE '%$Buscar%' || Monto_En_Riesgo LIKE '%$Buscar%' || Porcentaje_Cobranza LIKE '%$Buscar%' || Indice_Cumplimiento LIKE '%$Buscar%' || Score_Operativo LIKE '%$Buscar%' || Id_Fk_Score LIKE '%$Buscar%' || Nivel_Score LIKE '%$Buscar%' || Id_Fk_Status_Afianzadora LIKE '%$Buscar%' || Status_Afianzadora LIKE '%$Buscar%' || Documento_Contrato_PDF LIKE '%$Buscar%' || Documento_Politicas_PDF LIKE '%$Buscar%' || Observaciones LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%') ORDER BY Id_Afianzadora DESC";

                $consulta="SELECT count(*) as numregis FROM afianzadoras WHERE $_Clausula_Fk=$_IdFk AND (Id_Afianzadora LIKE '%$Buscar%' || Logo_Afianzadora LIKE '%$Buscar%' || Nombre_Afianzadora LIKE '%$Buscar%' || Razon_Social LIKE '%$Buscar%' || RFC LIKE '%$Buscar%' || Telefono LIKE '%$Buscar%' || Correo LIKE '%$Buscar%' || Pagina_Web LIKE '%$Buscar%' || Direccion LIKE '%$Buscar%' || Gastos_de_Expedicion LIKE '%$Buscar%' || Fianzas_Activas LIKE '%$Buscar%' || Numero_Fianzas_Emitidas LIKE '%$Buscar%' || Numero_Fianzas_Cobradas LIKE '%$Buscar%' || Numero_Fianzas_En_Proceso LIKE '%$Buscar%' || Numero_Fianzas_Canceladas LIKE '%$Buscar%' || Monto_Total_Emitido LIKE '%$Buscar%' || Monto_Total_Cobrado LIKE '%$Buscar%' || Monto_En_Riesgo LIKE '%$Buscar%' || Porcentaje_Cobranza LIKE '%$Buscar%' || Indice_Cumplimiento LIKE '%$Buscar%' || Score_Operativo LIKE '%$Buscar%' || Id_Fk_Score LIKE '%$Buscar%' || Nivel_Score LIKE '%$Buscar%' || Id_Fk_Status_Afianzadora LIKE '%$Buscar%' || Status_Afianzadora LIKE '%$Buscar%' || Documento_Contrato_PDF LIKE '%$Buscar%' || Documento_Politicas_PDF LIKE '%$Buscar%' || Observaciones LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%')";

            }else{

                //$consulta="SELECT *, count(*) as numregis FROM afianzadoras WHERE Id_Afianzadora LIKE '%$Buscar%' || Logo_Afianzadora LIKE '%$Buscar%' || Nombre_Afianzadora LIKE '%$Buscar%' || Razon_Social LIKE '%$Buscar%' || RFC LIKE '%$Buscar%' || Telefono LIKE '%$Buscar%' || Correo LIKE '%$Buscar%' || Pagina_Web LIKE '%$Buscar%' || Direccion LIKE '%$Buscar%' || Gastos_de_Expedicion LIKE '%$Buscar%' || Fianzas_Activas LIKE '%$Buscar%' || Numero_Fianzas_Emitidas LIKE '%$Buscar%' || Numero_Fianzas_Cobradas LIKE '%$Buscar%' || Numero_Fianzas_En_Proceso LIKE '%$Buscar%' || Numero_Fianzas_Canceladas LIKE '%$Buscar%' || Monto_Total_Emitido LIKE '%$Buscar%' || Monto_Total_Cobrado LIKE '%$Buscar%' || Monto_En_Riesgo LIKE '%$Buscar%' || Porcentaje_Cobranza LIKE '%$Buscar%' || Indice_Cumplimiento LIKE '%$Buscar%' || Score_Operativo LIKE '%$Buscar%' || Id_Fk_Score LIKE '%$Buscar%' || Nivel_Score LIKE '%$Buscar%' || Id_Fk_Status_Afianzadora LIKE '%$Buscar%' || Status_Afianzadora LIKE '%$Buscar%' || Documento_Contrato_PDF LIKE '%$Buscar%' || Documento_Politicas_PDF LIKE '%$Buscar%' || Observaciones LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%' ORDER BY Id_Afianzadora DESC";

                $consulta="SELECT count(*) as numregis FROM afianzadoras WHERE Id_Afianzadora LIKE '%$Buscar%' || Logo_Afianzadora LIKE '%$Buscar%' || Nombre_Afianzadora LIKE '%$Buscar%' || Razon_Social LIKE '%$Buscar%' || RFC LIKE '%$Buscar%' || Telefono LIKE '%$Buscar%' || Correo LIKE '%$Buscar%' || Pagina_Web LIKE '%$Buscar%' || Direccion LIKE '%$Buscar%' || Gastos_de_Expedicion LIKE '%$Buscar%' || Fianzas_Activas LIKE '%$Buscar%' || Numero_Fianzas_Emitidas LIKE '%$Buscar%' || Numero_Fianzas_Cobradas LIKE '%$Buscar%' || Numero_Fianzas_En_Proceso LIKE '%$Buscar%' || Numero_Fianzas_Canceladas LIKE '%$Buscar%' || Monto_Total_Emitido LIKE '%$Buscar%' || Monto_Total_Cobrado LIKE '%$Buscar%' || Monto_En_Riesgo LIKE '%$Buscar%' || Porcentaje_Cobranza LIKE '%$Buscar%' || Indice_Cumplimiento LIKE '%$Buscar%' || Score_Operativo LIKE '%$Buscar%' || Id_Fk_Score LIKE '%$Buscar%' || Nivel_Score LIKE '%$Buscar%' || Id_Fk_Status_Afianzadora LIKE '%$Buscar%' || Status_Afianzadora LIKE '%$Buscar%' || Documento_Contrato_PDF LIKE '%$Buscar%' || Documento_Politicas_PDF LIKE '%$Buscar%' || Observaciones LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%'";  

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            $_Tabla='afianzadoras';

            $_Evento_Log='busco:'.$Buscar;

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_consultas($_Tabla,$_Evento_Log,$_Consulta);

            return $Array_adapter;

        }



        public function search_afianzadoraspg($Buscar,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM afianzadoras WHERE $_Clausula_Fk=$_IdFk AND (Id_Afianzadora LIKE '%$Buscar%' || Logo_Afianzadora LIKE '%$Buscar%' || Nombre_Afianzadora LIKE '%$Buscar%' || Razon_Social LIKE '%$Buscar%' || RFC LIKE '%$Buscar%' || Telefono LIKE '%$Buscar%' || Correo LIKE '%$Buscar%' || Pagina_Web LIKE '%$Buscar%' || Direccion LIKE '%$Buscar%' || Gastos_de_Expedicion LIKE '%$Buscar%' || Fianzas_Activas LIKE '%$Buscar%' || Numero_Fianzas_Emitidas LIKE '%$Buscar%' || Numero_Fianzas_Cobradas LIKE '%$Buscar%' || Numero_Fianzas_En_Proceso LIKE '%$Buscar%' || Numero_Fianzas_Canceladas LIKE '%$Buscar%' || Monto_Total_Emitido LIKE '%$Buscar%' || Monto_Total_Cobrado LIKE '%$Buscar%' || Monto_En_Riesgo LIKE '%$Buscar%' || Porcentaje_Cobranza LIKE '%$Buscar%' || Indice_Cumplimiento LIKE '%$Buscar%' || Score_Operativo LIKE '%$Buscar%' || Id_Fk_Score LIKE '%$Buscar%' || Nivel_Score LIKE '%$Buscar%' || Id_Fk_Status_Afianzadora LIKE '%$Buscar%' || Status_Afianzadora LIKE '%$Buscar%' || Documento_Contrato_PDF LIKE '%$Buscar%' || Documento_Politicas_PDF LIKE '%$Buscar%' || Observaciones LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%') ORDER BY Id_Afianzadora DESC";

            }else{

                $consulta="SELECT * FROM afianzadoras WHERE Id_Afianzadora LIKE '%$Buscar%' || Logo_Afianzadora LIKE '%$Buscar%' || Nombre_Afianzadora LIKE '%$Buscar%' || Razon_Social LIKE '%$Buscar%' || RFC LIKE '%$Buscar%' || Telefono LIKE '%$Buscar%' || Correo LIKE '%$Buscar%' || Pagina_Web LIKE '%$Buscar%' || Direccion LIKE '%$Buscar%' || Gastos_de_Expedicion LIKE '%$Buscar%' || Fianzas_Activas LIKE '%$Buscar%' || Numero_Fianzas_Emitidas LIKE '%$Buscar%' || Numero_Fianzas_Cobradas LIKE '%$Buscar%' || Numero_Fianzas_En_Proceso LIKE '%$Buscar%' || Numero_Fianzas_Canceladas LIKE '%$Buscar%' || Monto_Total_Emitido LIKE '%$Buscar%' || Monto_Total_Cobrado LIKE '%$Buscar%' || Monto_En_Riesgo LIKE '%$Buscar%' || Porcentaje_Cobranza LIKE '%$Buscar%' || Indice_Cumplimiento LIKE '%$Buscar%' || Score_Operativo LIKE '%$Buscar%' || Id_Fk_Score LIKE '%$Buscar%' || Nivel_Score LIKE '%$Buscar%' || Id_Fk_Status_Afianzadora LIKE '%$Buscar%' || Status_Afianzadora LIKE '%$Buscar%' || Documento_Contrato_PDF LIKE '%$Buscar%' || Documento_Politicas_PDF LIKE '%$Buscar%' || Observaciones LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%' ORDER BY Id_Afianzadora DESC";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function searchbyparameter_afianzadoras($Parametro,$Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM afianzadoras WHERE $Parametro LIKE '%$Buscar%' ORDER BY Id_Afianzadora DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }

  

        public function execute_afianzadoras($query)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $Array_adapter=$conexion->query($query);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_field_afianzadoras($Field,$Value,$Id_Afianzadora)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Valueinto=strtoupper($Value);

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE afianzadoras SET $Field='$Valueinto' WHERE Id_Afianzadora= '$Id_Afianzadora'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='afianzadoras';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



        public function update_field_front_afianzadoras($Field,$Value,$Id_Afianzadora)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE afianzadoras SET $Field='$Value' WHERE Id_Afianzadora= '$Id_Afianzadora'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='afianzadoras';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



}



?>